Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.service.internal
Class EventListenerServiceInitiator

    java.lang.Object
      org.hibernate.event.service.internal.EventListenerServiceInitiator

All Implemented Interfaces:
  ServiceInitiator<EventListenerRegistry>, SessionFactoryServiceInitiator<EventListenerRegistry>

    public class EventListenerServiceInitiator

extends Object
implements SessionFactoryServiceInitiator<EventListenerRegistry>

Service initiator for `EventListenerRegistry`

Field Summary
`static EventListenerServiceInitiator` | `INSTANCE`

Constructor Summary
`EventListenerServiceInitiator()`

Method Summary
`Class<EventListenerRegistry>` | `getServiceInitiated()` Obtains the service role initiated by this initiator.
`EventListenerRegistry` | `initiateService(SessionFactoryImplementor sessionFactory, Configuration configuration, ServiceRegistryImplementor registry)` Initiates the managed service.
`EventListenerRegistry` | `initiateService(SessionFactoryImplementor sessionFactory, MetadataImplementor metadata, ServiceRegistryImplementor registry)` Initiates the managed service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final EventListenerServiceInitiator INSTANCE

Constructor Detail

### EventListenerServiceInitiator

    public EventListenerServiceInitiator()

Method Detail

### getServiceInitiated

    public Class<EventListenerRegistry> getServiceInitiated()

  Description copied from interface: `ServiceInitiator`
  Obtains the service role initiated by this initiator. Should be unique within a registry

  Specified by:
    `getServiceInitiated` in interface `ServiceInitiator<EventListenerRegistry>`
  Returns:
    The service role.

### initiateService

    public EventListenerRegistry initiateService(SessionFactoryImplementor sessionFactory,
                                                 Configuration configuration,
                                                 ServiceRegistryImplementor registry)

  Description copied from interface: `SessionFactoryServiceInitiator`
  Initiates the managed service.

  Note for implementors: signature is guaranteed to change once redesign of SessionFactory building is complete

  Specified by:
    `initiateService` in interface `SessionFactoryServiceInitiator<EventListenerRegistry>`
  Parameters:
    `sessionFactory` - The session factory. Note the the session factory is still in flux; care needs to be taken in regards to what you call.
    `configuration` - The configuration.
    `registry` - The service registry. Can be used to locate services needed to fulfill initiation.
  Returns:
    The initiated service.

### initiateService

    public EventListenerRegistry initiateService(SessionFactoryImplementor sessionFactory,
                                                 MetadataImplementor metadata,
                                                 ServiceRegistryImplementor registry)

  Description copied from interface: `SessionFactoryServiceInitiator`
  Initiates the managed service.

  Note for implementors: signature is guaranteed to change once redesign of SessionFactory building is complete

  Specified by:
    `initiateService` in interface `SessionFactoryServiceInitiator<EventListenerRegistry>`
  Parameters:
    `sessionFactory` - The session factory. Note the the session factory is still in flux; care needs to be taken in regards to what you call.
    `metadata` - The configuration.
    `registry` - The service registry. Can be used to locate services needed to fulfill initiation.
  Returns:
    The initiated service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.